export type Channel = {
    id: number,
    name: string
    description: string
    owner_id: number
    owner_username: string
}

export type Channels = Channel[]

export type RecentChannel = {
    id: number,
    name: string
    description: string
    owner_id: number
    owner_username: string
    message_count: number
}

export type RecentChannels = RecentChannel[]

export type Mention = {
    username: string
}

export type Mentions = Mention[]

export type Message = {
    id: number
    user_id: number
    username: string
    content: string
    date: number
    channel_id: number
    channel_name: string
    mentions: Mentions
}

export type Messages = Message[]

export type User = {
    id: number
    username: string
    admin: number
    pfp: string
}

export type Users = User[]

export type Emoji = {
    id: number
    name: string
}

export type Emojis = Emoji[]
